
$inputfile = $CmdLine[1]

$fileopen = FileOpen ($inputfile, 0)
FileCopy ($fileopen, $fileopen & ".BAK")
$fileread = FileRead ($fileopen)

$filereadp1 = StringReplace ($fileread, "</p>", "")
$filereadp2 = StringReplace ($filereadp1, "<p class", "<x class")
$filereadp3 = StringReplace ($filereadp2, "<td ", "<td> <x ")
$filereadp4 = StringReplace ($filereadp3, @CRLF & "  </td>", "</td>") ; added in version 2, to fix spacing

$writefileopen = FileOpen ($inputfile & "_output.html", 2)

; FileWrite ($writefileopen, "<html>")
; This extra in version 2, to add styles to the tags

FileWrite ($writefileopen, '<head><style>' & @CRLF & '<!--' & @CRLF & 'span.tw4winMark {mso-style-name:tw4winMark; mso-style-parent:""; mso-ansi-font-size:12.0pt; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:green; display:none; mso-hide:all; mso-no-proof:yes; vertical-align:sub;}' & @CRLF & 'span.tw4winError {mso-style-name:tw4winError; mso-style-parent:""; mso-ansi-font-size:20.0pt; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:aqua;}' & @CRLF & 'span.tw4winPopup {mso-style-name:tw4winPopup; mso-style-parent:""; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:teal; mso-ansi-language:#0400; mso-no-proof:yes;}' & @CRLF & 'span.tw4winJump {mso-style-name:tw4winJump; mso-style-parent:""; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:navy; mso-ansi-language:#0400; mso-no-proof:yes;}' & @CRLF & 'span.tw4winExternal {mso-style-name:tw4winExternal; mso-style-parent:""; mso-ansi-font-size:12.0pt; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:gray; mso-ansi-language:#0400; mso-no-proof:yes;}' & @CRLF & 'span.tw4winInternal {mso-style-name:tw4winInternal; mso-style-parent:""; mso-ansi-font-size:12.0pt; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:red; mso-ansi-language:#0400; mso-no-proof:yes;}' & @CRLF & 'span.tw4winTerm {mso-style-name:tw4winTerm; mso-style-parent:""; color:black;}' & @CRLF & 'span.DONOTTRANSLATE {mso-style-name:DO_NOT_TRANSLATE; mso-style-parent:""; font-family:Arial; mso-ascii-font-family:Arial; mso-hansi-font-family:Arial; color:purple; mso-ansi-language:#0400; mso-no-proof:yes;}' & @CRLF & ' -->' & @CRLF & '</style></head><body>')

$zeroistsplit1 = StringSplit ($filereadp4, "<table", 1)
$zeroistsplit2 = StringSplit ($zeroistsplit1[3], "</table", 1)

$firstsplit = StringSplit ($zeroistsplit2[1], "<tr", 1)

For $i = 1 to $firstsplit[0]

#cs

If StringInStr ($firstsplit[$i], "#DDF8E1") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>", "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>[GREEN]")
EndIf

If StringInStr ($firstsplit[$i], "#F8DADE") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>", "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>[PINK]")
EndIf

If StringInStr ($firstsplit[$i], "#F8F9A4") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>", "mso-ansi-language:EN;mso-fareast-language:EN;mso-no-proof:yes'>[YELLOW]")
EndIf

#ce

If StringInStr ($firstsplit[$i], "#DDF8E1") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "<td>", "<td>[GREEN]")
EndIf

If StringInStr ($firstsplit[$i], "#F8DADE") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "<td>", "<td>[PINK]")
EndIf

If StringInStr ($firstsplit[$i], "#F8F9A4") Then 
$firstsplit[$i] = StringReplace ($firstsplit[$i], "<td>", "<td>[YELLOW]")
EndIf

If $i = 1 Then
FileWrite ($writefileopen, "<table " & $firstsplit[$i])
Else
FileWrite ($writefileopen, "<tr" & $firstsplit[$i])
EndIf

Next

FileWrite ($writefileopen, "</table></body></html>")

FileClose ($writefileopen)

